# Magnetico database migrator

[![pipeline status](https://gitlab.com/skobkin/magnetico-go-migrator/badges/master/pipeline.svg)](https://gitlab.com/skobkin/magnetico-go-migrator/commits/master)

This simple utility will help you to migrate your data from legacy
Python version of `magneticod` to the new Go version which uses new
persistence layer.

## Installation

TBW

## Usage

### Important notes:

- `--py-database` syntax is similar but not the same. But if you'll use just
`sqlite3://` schema and path to the database you'll be ok.
- `--go-database` you can use the same syntax as used in `magneticod` CLI interface.

### Merging with magneticod-go's PostgreSQL

```shell
./magnetico-go-migrator --py-database=sqlite3:///path/to/old/database.sqlite3 --go-database=postgres://username:password@hostname/db_name?port=5432&sslmode=disable
```

### Merging into magneticod-go's Beanstalk

```shell
./magnetico-go-migrator --py-database=sqlite3:///path/to/old/database.sqlite3 --go-database=beanstalk://127.0.0.1:11300/magneticod_tube
```
